环境配置:Ubuntu14.04安裝postgresql

在Ubuntu14.04下要用到postgresql,所以查了一下安装的资料:How To Install and Use PostgreSQL on Ubuntu 14.04.安装教程安装完后,运行应用,发觉报下面错误:

Error: You need to install postgresql-server-dev-X.Y for building a server-side extension or libpq-dev for building a client-side application.

根据给的错误谷歌了一下,发觉下面这个答案很好:

Looks like you are on Linux.

Try installing libpq-dev for Debian/Ubuntu, or postgresql-devel for RHEL systems.

按照找个安装后,再运行应用,可行.

comments powered by Disqus